<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:paddingHorizontal="16dp"
    android:paddingTop="4dp">

    <androidx.cardview.widget.CardView
        android:id="@+id/card_view_article_image"
        android:layout_width="88dp"
        android:layout_height="70dp"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:cardCornerRadius="8dp"
        app:cardElevation="0dp">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_article_image"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:scaleType="centerCrop"
            tools:src="@drawable/picture_album_bg"/>

    </androidx.cardview.widget.CardView>

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_article_title"
        android:layout_width="0dp"
        app:layout_constraintHorizontal_weight="1"
        android:layout_height="wrap_content"
        android:maxHeight="44dp"
        android:maxLines="2"
        app:layout_constraintEnd_toStartOf="@id/card_view_article_image"
        android:ellipsize="end"
        android:textSize="16sp"
        android:textStyle="bold"
        android:textColor="#1C1F28"
        android:layout_marginEnd="18dp"
        android:lineSpacingExtra="1dp"
        tools:text="最伟大的作品，是魔术啊，最伟大的作品，是魔术啊。"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/card_view_article_image"/>

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_article_desc"
        android:layout_width="0dp"
        app:layout_constraintHorizontal_weight="1"
        android:layout_height="18dp"
        android:layout_marginTop="8dp"
        app:layout_constraintEnd_toStartOf="@id/card_view_article_image"
        android:maxLines="1"
        android:ellipsize="end"
        android:textSize="13sp"
        android:singleLine="true"
        android:textColor="#9D9EA7"
        android:layout_marginEnd="18dp"
        tools:text="最伟大的作品，是魔术啊，最伟大的作品，是魔术啊。fdasfa"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_article_title"/>

    <androidx.cardview.widget.CardView
        android:id="@+id/card_view_avatar"
        android:layout_width="16dp"
        android:layout_height="16dp"
        android:layout_marginTop="17dp"
        app:layout_constraintStart_toStartOf="@id/tv_article_title"
        app:layout_constraintTop_toBottomOf="@id/card_view_article_image"
        app:cardElevation="0dp"
        app:cardCornerRadius="8dp">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_author_avatar"
            android:layout_width="16dp"
            android:layout_height="16dp"
            tools:src="@drawable/icon_meditation_share_wechat"/>

    </androidx.cardview.widget.CardView>



    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_author_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="5dp"
        android:textSize="13sp"
        android:textColor="#62636F"
        tools:text="黄秀章"
        app:layout_constraintStart_toEndOf="@id/card_view_avatar"
        app:layout_constraintTop_toTopOf="@id/card_view_avatar"
        app:layout_constraintBottom_toBottomOf="@id/card_view_avatar"/>

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_article_view_num"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        tools:text="2656浏览"
        android:textSize="13sp"
        android:layout_marginEnd="70dp"
        android:textColor="#62636F"
        app:layout_constraintBaseline_toBaselineOf="@id/tv_author_name"
        app:layout_constraintEnd_toEndOf="parent"/>

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_article_like_num"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        tools:text="3327点赞"
        android:textSize="13sp"
        android:textColor="#62636F"
        app:layout_constraintBaseline_toBaselineOf="@id/tv_author_name"
        app:layout_constraintEnd_toEndOf="parent"/>

    <View
        android:id="@+id/homeModuleArticleItemViewBottomLine"
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:background="#EFEFF1"
        android:layout_marginTop="20dp"
        android:layout_marginBottom="30dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/card_view_avatar"/>

</androidx.constraintlayout.widget.ConstraintLayout>